/*
 * Presenter Club - Make Great Presentations, Faster
 * Copyright (C) 2016 Sam Parkinson <sam@sam.today>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

.title-n-button {
    display: flex;

    h1, h2, h3 {
        align-content: center;
        flex-grow: 1;
    }

    button, .button {
        display: flex;
        flex-shrink: 0;
        float: right;
        margin-left: 0.5em;
    }
}

@include breakpoint(medium) {
    .title-n-button {
        flex-direction: column;

        button, .button {
            margin-left: 0;
            text-align: left;

            width: 100%;

            border-radius: 0;
            &:nth-child(2) {
                border-top-left-radius: _size(border-radius);
                border-top-right-radius: _size(border-radius);
            }
            &:last-child {
                border-bottom-left-radius: _size(border-radius);
                border-bottom-right-radius: _size(border-radius);
            }
        }
    }
}
